al_unregister_event_source(3)

NAME

al_unregister_event_source - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    void al_unregister_event_source(ALLEGRO_EVENT_QUEUE *queue,
       ALLEGRO_EVENT_SOURCE *source)

DESCRIPTION

Unregister an event source with an event queue. If the event source is not actually registered with the event queue, nothing happens.

If the queue had any events in it which originated from the event source, they will no longer be in the queue after this call.

SEE ALSO

al_register_event_source(3)